Subject: Re: [mobile-ip] HMIPv6 test

From: Greg Daley <[email-masked]>
Date: Thu, 03 Jan 2002 09:32:27 +1100

Luís Miguel Oliveira wrote:
> 
> Hi,
> 
> Anyone have some details about this tests?

Hi Luis,

I've just returned from christmas/summer break
so I do not have any breakdowns of the testing.

I'll try to define the areas, and maybe Lajos
or Akos can flesh out details.

the testing was divided into Interop and Conformance
testing.

Conformance testing was performed with the Ericsson 
Hungary testing suite, which has a lot of control over
test cases. 

Primarily the testing was aimed at HMIPv6-draft4, but
some reliances on the underlying MIPV6 stack were 
tested.

Mobile node and MAP roles were tested for conformance 
to the basic mode of operation.  As far as I know,
neither implementation has Extended Mode to a testable
state.

As far as I can tell, tests for all the MUSTs in the 
draft (which apply to basic mode) have been provided
as well as some common sense cases (which were not all
passed... :)
	
Interop testing was conducted between the Ericsson 
and the AT-CRC implementations, and work focussed
on working the Ericsson MAP implementation with 
the Mobile node from AT-CRC. 

Some initial assumptions on the AT-CRC implementation
had been revealed by the conformance testing, which 
previously had been confusing in the first attempt of
interop testing.  After correcting these,  mobile
node registrations were performed with map and a MIPv6-14 ha, 
and data was received from a MIPv6-14 correspondent node.
Intra mobility domain movement was performed, and
instrumented.

Some of the test results are still to be analysed 
by our team because of the christmas holiday
interruption.

  Greg